--------------------------------------------------------------------------------
--  File     : Village_street
--  Author(s): Prokopovich Larisa
--
--  Summary  : Скрипт управления локацией.
--
--  Copyright © 2012 Floodlight Games.  All rights reserved.
--------------------------------------------------------------------------------
function OnFirstEntry()
	--inventory:CheatLoadAndAddItem ("METAL_SAW", "Mill_int_Tools_HO", 0)	

	music:Stop(true)
	music:PlayLoopWithDelay(10, "Ghost_Town")
	room.sfx:Play ("jingle_10_boom")			--звук джингла при первом входе
	room.sfx:Play ("thunder")					--звук грома при первом входе
	
	room:GetItem("M_TO_SMITHY"):Disable()

	stars:Show("M_TO_MILL", "3")
	stars:Show("M_TO_CHAPEL", "3")
	stars:Show("M_TO_SMITHY", "2")
end
--------------------------------------------------------------------------------
function OnEntry()
	music:PlayLoopWithDelay(5, "horror_2")
	ambient:Play("Village_street")
end
--------------------------------------------------------------------------------
function OnMouseClickOnItem(item)
	local itemName = item:GetName()
	
	if itemName == "M_TO_BRIDGE" then										--переход к мосту
		chapter:JumpRoom("Bridge")
		return true
	
	elseif itemName == "M_TO_MILL" then										--переход к мельнице 
		chapter:JumpRoom("Mill_ext")
		return true
	
	elseif itemName == "M_TO_SMITHY" then									--переход в кузницу
		if item:IsEnabled() then
			chapter:JumpRoom("Smithy")							
		else
			chapter:JumpCloseup("Village_street_Smithy_door")
		end
		return true
	
	elseif itemName == "M_TO_CHAPEL" then									--переход к часовне
		chapter:JumpRoom("Chapel_ext")							
		return true
	end
end
--------------------------------------------------------------------------------
function OnClickItemOnItem(item)					
	local itemName = item:GetName()

	if itemName == "M_TO_SMITHY" then										--переход в кузницу
		if not(item:IsEnabled()) then
			chapter:JumpCloseup("Village_street_Smithy_door")
			return true
		end
	end
	
end
--------------------------------------------------------------------------------
function OnChapterStoreEvent_Close_up_SmithyDoor(value)							--закрыть close-up с дверью
	if value == 2 then
		room:GetItem("M_TO_SMITHY"):Enable()
		room:GetItem("LATTICE_CLOSED"):Hide()
		room:GetItem("LATTICE_OPENED"):Show()
		stars:Hide("M_TO_SMITHY")
		stars:Show("M_TO_SMITHY", "3")
	end
end
--------------------------------------------------------------------------------
function OnChapterStoreEvent_Cheat_Village1(value)				--выполнить все в локации  !!!
	if inventory:IsItemExisting("CIRCLE") then
		inventory:EraseOneItemFromCell("CIRCLE")
	end
end
function OnChapterStoreEvent_Cheat_Village2(value)				
	cstore:SetKey("Close_up_SmithyDoor", 2)
end
--------------------------------------------------------------------------------
function CheatSkip () 											--выполнить все в предыдущих локациях   !!!
	--добавить инвентарные предметы
	inventory:CheatLoadAndAddItem ("SPADE_Q", "Hut_1st_floor", 0)
	inventory:CheatLoadAndAddItem ("KNIFE_Q", "Hut_1st_floor_Cabinet", 0)
	
	if inventory:IsItemExisting("MATCHES") then
		inventory:EraseOneItemFromCell("MATCHES")
	end
	if inventory:IsItemExisting("KNIFE") then
		inventory:EraseOneItemFromCell("KNIFE")
	end

	-- отключить ветку хинтов
	hint:Cheat("M_BRIDGES")				
	
	--локация Gate
	cstore:SetKey("Cheat_Gate", true)
	--локация Hut_1st_floor
	cstore:SetKey("Cheat_Hut1stFloor1", true)
	cstore:SetKey("Cheat_Hut1stFloor2", true)
	--локация Hut_2nd_floor
	cstore:SetKey("Cheat_Hut2ndFloor", true)
	--локация Scary_glade
	cstore:SetKey("Cheat_ScaryGlade1", true)
	--локация Witch's_house_ext
	cstore:SetKey("Cheat_WitchHouseExt1", true)
	cstore:SetKey("Cheat_WitchHouseExt2", true)
	cstore:SetKey("Cheat_WitchHouseExtFlytrap", true)
	--локация Witch's_house_int
	cstore:SetKey("Cheat_WitchHouseInt1", true)
	cstore:SetKey("Cheat_WitchHouseInt2", true)
	cstore:SetKey("Cheat_WitchHouseIntBook", true)
	--локация Scary_place_exit
	cstore:SetKey("Cheat_ScaryPlaceExit1", true)
	cstore:SetKey("Cheat_ScaryPlaceExit2", true)
	cstore:SetKey("Cheat_Scary_place_exit_Skeleton", true)
	--локация Tavern_ext
	cstore:SetKey("Cheat_TavernExt", true)
	--локация Tavern_int
	cstore:SetKey("Cheat_TavernInt", true)
	--локация Bridge
	cstore:SetKey("Cheat_Bridge1", true)
end
